Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059225 - it should not be possible to load mod_perl with event MPM
Summary: it should not be possible to load mod_perl with event MPM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: mod_perl
Version: perl516
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 1.1
Assignee: Web Stack Team
QA Contact: Martin Kyral
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 13:08 UTC by Jan Kaluža
Modified: 2014-06-04 07:24 UTC (History)
4 users (show)

Fixed In Version: perl516-mod_perl-2.0.8-4.20130221svn1448242.el6 perl516-mod_perl-2.0.8-2.20130221svn1448242.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-04 07:24:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0613 normal SHIPPED_LIVE perl516 bug fix and enhancement update 2014-06-04 10:59:05 UTC

Description Jan Kaluža 2014-01-29 13:08:38 UTC
Currently mod_perl does not work well with event MPM (prefork MPM and worker MPM works fine). I'm going to address this upstream, but it will need more time and testing to do that. Therefore mod_perl should fail with an error if httpd24 is configured to use event MPM in RHSCL-1.1.

Comment 8 Martin Kyral 2014-03-28 10:25:34 UTC
I mean this stuff:

# event MPM: A variant of the worker MPM with the goal of consuming
# threads only for connections with active processing
# See: http://httpd.apache.org/docs/2.4/mod/event.html
#
#LoadModule mpm_event_module modules/mod_mpm_event.so

from $sclroot/etc/httpd/conf.modules.d/00-mpm.conf

Comment 13 errata-xmlrpc 2014-06-04 07:24:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0613.html


Note You need to log in before you can comment on or make changes to this bug.